## com.bbn.openmap.omGraphics.editable
Class PointEditState

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.State
          com.bbn.openmap.omGraphics.editable.GraphicEditState
              com.bbn.openmap.omGraphics.editable.PointEditState

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, EOMGEditState, java.util.EventListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, MapMouseListener, java.awt.event.TextListener, java.awt.event.WindowListener

public class PointEditState
extends GraphicEditState
implements EOMGEditState

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.GraphicEditState
`graphic`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.State
`i18n`

Constructor Summary
`PointEditState(EditableOMPoint eomp)`

Method Summary
`boolean` `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class com.bbn.openmap.omGraphics.editable.GraphicEditState
`mouseDragged`

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.State

`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointEditState

    public PointEditState(EditableOMPoint eomp)

Method Detail

### mouseReleased

    public boolean mouseReleased(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MapMouseListener`
  Overrides:
    `mouseReleased` in class `GraphicEditState`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details